{% extends "base.html" %}
{% block content %}
<h5>Select Font Preference:</h5>
    <form class="form-group" action="" method="post">
        <select name="font" onchange="submit()">
            <option value="">----</option>
            <option value="consolas" {% if request.cookies.get('font') == 'consolas' %}selected{% endif %}>consolas</option>
            <option value="arial" {% if request.cookies.get('font') == 'arial' %}selected{% endif %}>arial</option>
            <option value="Monospace" {% if request.cookies.get('font') == 'Monospace' %}selected{% endif %}>Monospace</option>
        </select>
    </form>
    {% for post in posts %}
        <article class="media content-section">
          <div style="{% if request.cookies.get('font') %}font-family:{{ request.cookies.get('font') }}{% endif %}" class="media-body">
            <div class="article-metadata">
              <a class="mr-2" href="#">{{ post.author.username }}</a>
              <small class="text-muted">{{ post.date_posted.strftime('%Y-%m-%d') }}</small>
            </div>
            <h2><a class="article-title" href="{{ url_for('post', post_id=post.id) }}">{{ post.title }}</a></h2>
            <p class="article-content">{{ post.content }}</p>
            {% if post.tags.count() %}
            <div class="card-footer">
              {%for tag in post.tags %}
                <a class="btn btn-sm btn-success" href="#" role="button">{{ tag.title }}</a>
              {% endfor %}
            </div>
            {% endif %}
          </div>
          
        </article>
    {% endfor %}
{% endblock content %}